function [val] = filetype_check_extension(filename, ext)

% FILETYPE_CHECK_EXTENSION helper function to determine the file type
% by performing a case insensitive string comparison of the extension.

% Copyright (C) 2003-2006 Robert Oostenveld
%
% $Log: filetype_check_extension.m,v $
% Revision 1.1  2006/08/28 10:10:11  roboos
% moved subfunctions for filetype detection into seperate files
%

if iscell(filename)
  % compare the extension of multiple files
  filelist = filename(:);
  val = zeros(size(filelist));
  for i=1:length(filelist)
    filename = filelist{i};
    if length(filename)<length(ext)
      val(i) = 0;
    else
      val(i) = strcmpi(filename((end-length(ext)+1):end), ext);
    end
  end
else
  % compare the extension of a single file
  if length(filename)<length(ext)
    val = 0;
  else
    val = strcmpi(filename((end-length(ext)+1):end), ext);
  end
end
return

